# Class `juce.LagrangeInterpolator`

Lagrange Interpolator.

Is converted to a JUCE LagrangeInterpolator

## Constructors

juce.LagrangeInterpolator () | Constuctor.

## Methods

juce.LagrangeInterpolator:process (speedRatio, inputSamples, outputSamples, numOutputSamplesToProduce) | Interpolate.

## Constructors

juce.LagrangeInterpolator ()
  Constuctor.

## Methods

juce.LagrangeInterpolator:process
(speedRatio, inputSamples, outputSamples, numOutputSamplesToProduce)
  Interpolate.

  ### Parameters:

  - speedRatio number of input samples per output sample (input/output)
  - inputSamples pointer to a cdata `float` array
  - outputSamples pointer to a cdata `float` array
  - numOutputSamplesToProduce

  ### Returns:

  number number of input samples that were processed

generated by LDoc 1.4.2